Subject: Re: [bug#62461] Additional ssh configuration options.

From: Nicolas Graves <[email-masked]>
Date: Fri, 21 Jul 2023 22:23:28 +0200

On 2023-07-04 22:17, Josselin Poiret via Guix-patches via wrote:

> Hi Nicolas and Ludo,
>
> Ludovic Courtès <[email-masked]> writes:
>
>> Hi Nicolas,
>>
>> I have finally installed v3, thanks!
>
> I'm noticing that guile is now throwing a warning for the `(define-maybe
> match-criteria)` line.  I don't know anything about the fancy
> configuration framework, but Brian tells me that a quick fix could be to
> change define-maybe to define-maybe/no-serialization.  Nicolas, can you
> have a look?  I'd be happy to push the fix.

Hi Josselin !

Sorry for the late answer. This is done in the recent patch 64777, which
also fixed the serialization (the ssh match is a string in this version,
not a list).

> Best,

-- 
Best regards,
Nicolas Graves